"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../actions/types");
const AuthState = {
    email: '',
    password: '',
    firstName: '',
    lastName: '',
};
exports.default = (state = AuthState, action) => {
    switch (action.type) {
        case types_1.AUTH_ACTION_TYPES.SIGN_UP: {
            const { email, password, firstName, lastName } = action;
            return Object.assign(Object.assign({}, state), { email,
                password,
                firstName,
                lastName });
        }
        case types_1.AUTH_ACTION_TYPES.SIGN_IN: {
            const { email } = action;
            return Object.assign(Object.assign({}, state), { email });
        }
        case types_1.AUTH_ACTION_TYPES.SIGN_IN_SUCCESSFUL: {
            return Object.assign({}, AuthState);
        }
        case types_1.AUTH_ACTION_TYPES.SIGN_OUT: {
            return Object.assign({}, AuthState);
        }
        case types_1.AUTH_ACTION_TYPES.FORGOT_PASSWORD: {
            const { email } = action;
            return Object.assign(Object.assign({}, state), { email });
        }
        default: {
            return state;
        }
    }
};
